stations.dual_register_recipe('food_prep', {
   input = {
      ['group:food_flour'] = 2,
      ['farming:sugar'] = 1,
      ['mobs:egg'] = 2,
      ['epic_trees:banana'] = 4,
      ['food:butter'] = 1,
   },
   output = 'food:bread_banana_dough 2',
})

stations.dual_register_recipe('food_prep', {
   input = {
      ['group:food_flour'] = 2,
      ['farming:sugar'] = 1,
      ['mobs:egg'] = 2,
      ['farming:pumpkin_slice'] = 4,
      ['food:butter'] = 1,
   },
   output = 'food:bread_pumpkin_dough 2',
})

stations.dual_register_recipe('food_prep', {
   input = {
      ['food:flour_multigrain'] = 2,
      ['farming:sugar'] = 1,
      ['epic_trees:banana'] = 2,
      ['food:butter'] = 1,
      ['mobs:honey'] = 1,
      ['farming:seed_oat'] = 4,
   },
   output = 'food:energy_bar 6',
})


local breads = {
   {'barley', 'barley'},
   {'corn', 'corn'},
   {'multigrain', 'multigrain'},
   {'oat', 'oat'},
   {'rice', 'rice'},
   {'rye', 'rye'},
   {'wheat', 'wheat'}
}

for i in ipairs (breads) do
   local flour = breads[i][1]

   stations.dual_register_recipe('food_prep', {
      input = {
         ['food:flour_'..flour] = 2,
         ['farming:sugar'] = 1,
         ['mobs:egg'] = 2,
         ['epic:salt'] = 1,
         ['food:butter'] = 1,
      },
      output = 'food:bread_'..flour..'_dough 2',
   })
end
